Page MenuHomePhabricator

CheckboxMultiSelect- & RadioSelectWidget changes vertical spacing when infused
Closed, ResolvedPublic

Description

Before:

After:

This will lead to FOUCs

There is also a slight change in Apex, where the spacing gets a litle smaller

Event Timeline

Esanders created this task.May 3 2018, 12:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2018, 12:59 PM
Jdforrester-WMF triaged this task as High priority.May 3 2018, 3:03 PM
Vvjjkkii renamed this task from RadioSelectWidget changes vertical spacing when infused to wpdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
JJMC89 renamed this task from wpdaaaaaaa to RadioSelectWidget changes vertical spacing when infused.Jul 1 2018, 5:28 AM
JJMC89 updated the task description. (Show Details)
Volker_E renamed this task from RadioSelectWidget changes vertical spacing when infused to CheckboxMultiSelect- & RadioSelectWidget changes vertical spacing when infused.Jul 6 2018, 1:57 PM

Eurgh, the overly complex .oo-ui-fieldLayout-body > .oo-ui-fieldLayout-field + .oo-ui-fieldLayout-header combination is once more not helping.

Me either, tested Chrome/FF + Ubuntu.

It's still a problem, but this field is not infused on Special:Preferences on page load any more since f2a83fe4ac1c603b7f70d12566e5f8e9bcba1bcd, so this might not be a blocker to T195986 now.

Change 500636 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] themes: Fix infusion reflow in CheckboxMultiselect- & RadioselectInputWidget

https://gerrit.wikimedia.org/r/500636

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Apr 2 2019, 12:03 AM

Change 500636 merged by jenkins-bot:
[oojs/ui@master] themes: Fix infusion reflow in CheckboxMultiselect- & RadioselectInputWidget

https://gerrit.wikimedia.org/r/500636

Volker_E moved this task from Reviewing to OOUI-0.31.3 on the OOUI board.Apr 4 2019, 12:38 AM
Volker_E edited projects, added OOUI (OOUI-0.31.3); removed OOUI.

Change 501429 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.31.3

https://gerrit.wikimedia.org/r/501429

Change 501429 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.31.3

https://gerrit.wikimedia.org/r/501429

Jdforrester-WMF closed this task as Resolved.Apr 5 2019, 6:18 PM
Jdforrester-WMF assigned this task to Volker_E.

This landed in MediaWiki in the 1.33.0-wmf.25 alpha branch, and so will be on Wikimedia production from 2019-04-09.